
{## Compliance Boundaries & Multi-Geo ##
$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries for APAC” -Description “Compliance Boundaries for APAC Regions eDiscovery Managers” -Roles $roles

New-ComplianceSecurityFilter -FilterName "Compliance Boundaries for APAC Regions eDiscovery Managers" -Description "Compliance Boundaries for APAC Regions eDiscovery Managers" -Users "Compliance Boundaries for APAC Regions eDiscovery Managers" -Filters "Mailbox_ExtensionCustomAttribute2 -like 'TOK*' -or Mailbox_ExtensionCustomAttribute2 -like 'SIN*'","Site_Path -like 'companydomainJPN.sharepoint.com' -or Site_Path -like 'companydomainAPC.sharepoint.com' -or Site_Path -like companydomainJPN-my.sharepoint.com -or Site_Path -like companydomainAPC.sharepoint.com'" -Action All

$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries for EMEA” -Description “Compliance Boundaries for EMEA Regions eDiscovery Managers” -Roles $roles

New-ComplianceSecurityFilter -FilterName "Compliance Boundaries for EMEA Regions eDiscovery Managers" -Description "Compliance Boundaries for EMEA Regions eDiscovery Managers" -Users "Compliance Boundaries for EMEA" -Filters "Mailbox_C -like 'GBR*' -or Mailbox_C -like 'CHE*'","Site_Path -like 'companydomainGBR.sharepoint.com' -or Site_Path -like 'companydomainCHE.sharepoint.com' -or Site_Path -like 'companydomainGBR-my.sharepoint.com' -or Site_Path -like 'companydomainCHE.sharepoint.com'" -Action All
}

{## Compliance Boundaries & Tiered eDiscovery Group ##
$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries First Line eDiscovery Group” -Description “Compliance Boundaries for Legal Department First Line eDiscovery Admins” -Roles $roles

New-ComplianceSecurityFilter -FilterName "First Line eDiscovery APAC Compliance Boundaries Filter" -Description "Compliance Boundaries First Line APAC eDiscovery Admins" -Users "Compliance Boundaries First Line eDiscovery Group" -Filters "Mailbox_C -like 'APC*'","Site_Path -like 'companydomainAPC.sharepoint.com' -or Site_Path -like 'companydomainAPC-my.sharepoint.com'" -Action Search

$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries Second Line eDiscovery Group” -Description “Compliance Boundaries for Legal Department Second Line eDiscovery Admins” -Roles $roles

New-ComplianceSecurityFilter -FilterName "Second Line eDiscovery APAC Compliance Boundaries Filter" -Description "Compliance Boundaries Second Line APAC eDiscovery Admins" -Users "Compliance Boundaries Second Line eDiscovery Group" -Filters "Mailbox_C -like 'APC*'","Site_Path -like 'companydomainAPC.sharepoint.com' -or Site_Path -like 'companydomainAPC-my.sharepoint.com'" -Action Preview

$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries Third Line eDiscovery Group” -Description “Compliance Boundaries for Legal Department Third Line eDiscovery Admins” -Roles $roles

New-ComplianceSecurityFilter -FilterName "Third Line eDiscovery APAC Compliance Boundaries Filter" -Description "Compliance Boundaries Third Line APAC eDiscovery Admins" -Users "Compliance Boundaries Third Line eDiscovery Group" -Filters "Mailbox_C -like 'APC*'","Site_Path -like 'companydomainAPC.sharepoint.com' -or Site_Path -like 'companydomainAPC-my.sharepoint.com'" -Action Export
}

{## Compliance Boundaries & Business Departments ##
$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries for APAC Legal Department” -Description “Compliance Boundaries for APAC LEGAL Department eDiscovery Managers” -Roles $roles 

New-ComplianceSecurityFilter -FilterName "Compliance Boundaries Filter APAC LEGAL Department Only" -Description "Compliance Boundaries APAC LEGAL Department Only" -Users "Compliance Boundaries for APAC Legal Department" -Filters "Site_Path -like 'companydomainAPC.sharepoint.com/sites/LEGAL'" -Action All

$roles = (Get-RoleGroup "eDiscovery Manager").roles | ForEach-Object {$_.split("/")[$_.split("/").count-1]}
New-RoleGroup –Name “Compliance Boundaries for EMEA LEGAL Department” -Description “Compliance Boundaries for EMEA LEGAL Department eDiscovery Managers” -Roles $roles

New-ComplianceSecurityFilter -FilterName "Compliance Boundaries Filter EMEA LEGAL Department Only" -Description "Compliance Boundaries EMEA LEGAL Department Only" -Users "Compliance Boundaries for EMEA LEGAL Department" -Filters "Site_Path -like 'companydomainEU.sharepoint.com/sites/LEGAL'" -Action All
}